[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# DefaultInputDialog

Widgetset-independent implementation of an input dialog.

## Declaration

Source position: dialogs.pp line 1043

`function DefaultInputDialog(`
`const InputCaption: string;`
`const InputPrompt: string;`
`MaskInput: Boolean;`
`var Value: string`
`):Boolean;`

## Arguments

`InputCaption` |  | Caption displayed as the title for the dialog.
`InputPrompt` |  | Label displayed on the dialog form.
`MaskInput` |  | True if the edit control displays '*' characters to mask the input value.
`Value` |  | Default value for the edit control on the dialog, and the value entered at run-time.

## Function result

True if the Ok button was clicked during execution of the dialog.

## See also

InputDialogFunction |  | Procedure variable with the routine called to execute a platform-independent input dialog.